Summary: GNU Bourne Again Shell (bash)
Name: bash
Version: 1.14.7
Release: 6
Group: Shells
Copyright: GPL
Source0: ftp://prep.ai.mit.edu/pub/gnu/bash-1.14.7.tar.gz
Source1: bashrc
Patch0: ftp.azstarnet.com:/pub/linux/axp/misc/bash-1.14.5.patch.gz
Patch1: bash-1.14.6.sparc.patch
Patch2: ftp.azstarnet.com:/pub/linux/axp/misc/bash-1.14.6-rh3.0.3-glibc.patch.gz
Patch3: bash-1.14.7-paths.patch
Patch4: bash-1.14.7-security.patch
Patch5: bash-1.14.7-mips.patch
Patch6: bash-1.14.7-signal.patch
Prereq: fileutils grep 
BuildRoot: /var/tmp/bash-root

%changelog

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>

- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>

- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>

- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>

- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
Bash is an sh-compatible command language interpreter that
executes commands read from the standard input or from a
file.  Bash also incorporates useful features from the
Korn and C shells (ksh and csh).

Bash is ultimately intended to be a conformant implementation
of the IEEE Posix Shell and Tools specification (IEEE
Working Group 1003.2).

%prep
%setup
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s prefix=/usr CC=gcc CPPNAME='$(CC) -E'
strip bash

%install
make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT/usr/bin/bash $RPM_BUILD_ROOT/bin/bash
rm -f $RPM_BUILD_ROOT/usr/bin/installed-bash
gzip -9nf $RPM_BUILD_ROOT/usr/info/bash.info
rm -f $RPM_BUILD_ROOT/usr/bin/bash.old
install -m644 $RPM_SOURCE_DIR/bashrc $RPM_BUILD_ROOT/etc/bashrc
ln -sf bash.1 $RPM_BUILD_ROOT/usr/man/man1/sh.1
ln -sf bash $RPM_BUILD_ROOT/bin/sh

%clean
rm -rf $RPM_BUILD_ROOT

# ***** bash doesn't use install-info. It's always listed in /usr/info/dir
# to prevent prereq loops
%post
if [ ! -f /etc/shells ]; then
	echo "/bin/bash" > /etc/shells
	echo "/bin/sh" >> /etc/shells
else
	if ! grep '^/bin/bash$' /etc/shells > /dev/null; then
		echo "/bin/bash" >> /etc/shells
	fi
	if ! grep '^/bin/sh$' /etc/shells > /dev/null; then
		echo "/bin/sh" >> /etc/shells
	fi
fi

%postun
if [ "$1" = "0" ]; then
	grep -v /bin/bash /etc/shells | grep -v /bin/sh > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%files
%doc NEWS README RELEASE
%config /etc/bashrc
/bin/bash
/bin/sh
/usr/info/bash.info.gz
/usr/man/man1/bash.1
/usr/man/man1/sh.1
/usr/bin/bashbug
